> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rakuten_travel/hotels/search

> Search Rakuten Travel (楽天トラベル) hotels/ryokan by Japanese prefecture with sort order. Returns hotel cards with name, image, rating, review count, lowest reference price, access info and amenity features.

**Price:** 10 credits per 20 results



## OpenAPI

````yaml /openapi/travel-hospitality.json post /api/rakuten_travel/hotels/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rakuten_travel/hotels/search:
    post:
      tags:
        - /rakuten_travel
      summary: /rakuten_travel/hotels/search
      description: >-
        Search Rakuten Travel (楽天トラベル) hotels/ryokan by Japanese prefecture with
        sort order. Returns hotel cards with name, image, rating, review count,
        lowest reference price, access info and amenity features.


        **Price:** 10 credits per 20 results
      operationId: __api_rakuten_travel_hotels_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RakutenTravelHotelsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RakutenTravelSearchHotel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RakutenTravelHotelsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        prefecture:
          $ref: '#/components/schemas/RakutenTravelPrefecture'
        count:
          type: integer
          minimum: 1
        sort:
          $ref: '#/components/schemas/RakutenTravelHotelsSort'
          default: recommended
      type: object
      required:
        - prefecture
        - count
    RakutenTravelSearchHotel:
      properties:
        '@type':
          type: string
          default: RakutenTravelSearchHotel
        id:
          type: string
        name:
          type: string
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
        price_with_tax:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          type: string
          default: JPY
        access:
          anyOf:
            - type: string
            - type: 'null'
        features:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RakutenTravelPrefecture:
      type: string
      enum:
        - hokkaido
        - aomori
        - iwate
        - miyagi
        - akita
        - yamagata
        - fukushima
        - ibaraki
        - tochigi
        - gunma
        - saitama
        - chiba
        - tokyo
        - kanagawa
        - niigata
        - toyama
        - ishikawa
        - fukui
        - yamanashi
        - nagano
        - gifu
        - shizuoka
        - aichi
        - mie
        - shiga
        - kyoto
        - osaka
        - hyogo
        - nara
        - wakayama
        - tottori
        - shimane
        - okayama
        - hiroshima
        - yamaguchi
        - tokushima
        - kagawa
        - ehime
        - kochi
        - fukuoka
        - saga
        - nagasaki
        - kumamoto
        - oita
        - miyazaki
        - kagoshima
        - okinawa
    RakutenTravelHotelsSort:
      type: string
      enum:
        - recommended
        - price_low
        - price_high
        - rating
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````